Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.java
Class JavaMetadataLexicon

    java.lang.Object
      org.modeshape.sequencer.java.JavaMetadataLexicon

    @Immutable
    public class JavaMetadataLexicon

extends Object

A lexicon of names used within the Java source file sequencer.

Nested Class Summary
`static class` | `JavaMetadataLexicon.Namespace`

Field Summary
`static Name` | `ANNOTATION_CHILD_NODE`
`static Name` | `ANNOTATION_DECLARATION_CHILD_NODE`
`static Name` | `ANNOTATION_TYPE_CHILD_NODE`
`static Name` | `ARRAY_TYPE_CHILD_NODE`
`static Name` | `ARRAY_TYPE_DESCRIPTION`
`static Name` | `ARRAY_TYPE_MODIFIER_CHILD_NODE`
`static Name` | `ARRAY_TYPE_NAME`
`static Name` | `ARRAY_TYPE_VARIABLE`
`static Name` | `CLASS_DECLARATION_CHILD_NODE`
`static Name` | `COMPILATION_UNIT_NODE`
`static Name` | `CONSTRUCTOR_CHILD_NODE`
`static Name` | `CONSTRUCTOR_DECLARATION_CHILD_NODE`
`static Name` | `CONSTRUCTOR_NAME`
`static Name` | `FIELD_CHILD_NODE`
`static Name` | `FIELD_TYPE_CHILD_NODE`
`static Name` | `FORMAL_PARAMETER`
`static Name` | `IMPORT_CHILD_NODE`
`static Name` | `IMPORT_DECLARATION_CHILD_NODE`
`static Name` | `MARKER_ANNOTATION_CHILD_NODE`
`static Name` | `MARKER_ANNOTATION_NAME`
`static Name` | `METHOD_CHILD_NODE`
`static Name` | `METHOD_DECLARATION_CHILD_NODE`
`static Name` | `METHOD_NAME`
`static Name` | `MODIFIER_CHILD_NODE`
`static Name` | `MODIFIER_DECLARATION_CHILD_NODE`
`static Name` | `MODIFIER_NAME`
`static Name` | `NORMAL_ANNOTATION_CHILD_NODE`
`static Name` | `NORMAL_CLASS_CHILD_NODE`
`static Name` | `NORMAL_CLASS_DECLARATION_CHILD_NODE`
`static Name` | `NORMAL_CLASS_NAME`
`static Name` | `NORMALANNOTATION_NAME`
`static Name` | `ON_DEMAND_IMPORT_CHILD_NODE`
`static Name` | `ON_DEMAND_IMPORT_NAME`
`static Name` | `ON_DEMAND_IMPORT_TYPE_DECLARATION_CHILD_NODE`
`static Name` | `PACKAGE_CHILD_NODE`
`static Name` | `PACKAGE_DECLARATION_CHILD_NODE`
`static Name` | `PACKAGE_NAME`
`static Name` | `PARAMETER`
`static Name` | `PARAMETER_NAME`
`static Name` | `PARAMETERIZED_TYPE_CHILD_NODE`
`static Name` | `PARAMETERIZED_TYPE_DESCRIPTION`
`static Name` | `PARAMETERIZED_TYPE_MODIFIER_CHILD_NODE`
`static Name` | `PARAMETERIZED_TYPE_NAME`
`static Name` | `PARAMETERIZED_TYPE_VARIABLE`
`static Name` | `PRIMITIVE_TYPE_CHILD_NODE`
`static Name` | `PRIMITIVE_TYPE_NAME`
`static Name` | `PRIMITIVE_TYPE_VARIABLE`
`static Name` | `RETURN_TYPE`
`static Name` | `SIMPLE_TYPE_CHILD_NODE`
`static Name` | `SIMPLE_TYPE_DESCRIPTION`
`static Name` | `SIMPLE_TYPE_MODIFIER_CHILD_NODE`
`static Name` | `SIMPLE_TYPE_NAME`
`static Name` | `SIMPLE_TYPE_VARIABLE`
`static Name` | `SINGLE_ANNOTATION_NAME`
`static Name` | `SINGLE_ELEMENT_ANNOTATION_CHILD_NODE`
`static Name` | `SINGLE_IMPORT_CHILD_NODE`
`static Name` | `SINGLE_IMPORT_NAME`
`static Name` | `SINGLE_IMPORT_TYPE_DECLARATION_CHILD_NODE`
`static Name` | `TYPE_CHILD_NODE`
`static Name` | `UNIT_TYPE_CHILD_NODE`
`static Name` | `VARIABLE`
`static Name` | `VARIABLE_NAME`

Constructor Summary
`JavaMetadataLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPILATION_UNIT_NODE

    public static final Name COMPILATION_UNIT_NODE

### PACKAGE_CHILD_NODE

    public static final Name PACKAGE_CHILD_NODE

### PACKAGE_DECLARATION_CHILD_NODE

    public static final Name PACKAGE_DECLARATION_CHILD_NODE

### PACKAGE_NAME

    public static final Name PACKAGE_NAME

### ANNOTATION_CHILD_NODE

    public static final Name ANNOTATION_CHILD_NODE

### ANNOTATION_DECLARATION_CHILD_NODE

    public static final Name ANNOTATION_DECLARATION_CHILD_NODE

### ANNOTATION_TYPE_CHILD_NODE

    public static final Name ANNOTATION_TYPE_CHILD_NODE

### MARKER_ANNOTATION_CHILD_NODE

    public static final Name MARKER_ANNOTATION_CHILD_NODE

### MARKER_ANNOTATION_NAME

    public static final Name MARKER_ANNOTATION_NAME

### NORMAL_ANNOTATION_CHILD_NODE

    public static final Name NORMAL_ANNOTATION_CHILD_NODE

### NORMALANNOTATION_NAME

    public static final Name NORMALANNOTATION_NAME

### SINGLE_ELEMENT_ANNOTATION_CHILD_NODE

    public static final Name SINGLE_ELEMENT_ANNOTATION_CHILD_NODE

### SINGLE_ANNOTATION_NAME

    public static final Name SINGLE_ANNOTATION_NAME

### IMPORT_CHILD_NODE

    public static final Name IMPORT_CHILD_NODE

### IMPORT_DECLARATION_CHILD_NODE

    public static final Name IMPORT_DECLARATION_CHILD_NODE

### SINGLE_IMPORT_CHILD_NODE

    public static final Name SINGLE_IMPORT_CHILD_NODE

### SINGLE_IMPORT_TYPE_DECLARATION_CHILD_NODE

    public static final Name SINGLE_IMPORT_TYPE_DECLARATION_CHILD_NODE

### SINGLE_IMPORT_NAME

    public static final Name SINGLE_IMPORT_NAME

### ON_DEMAND_IMPORT_CHILD_NODE

    public static final Name ON_DEMAND_IMPORT_CHILD_NODE

### ON_DEMAND_IMPORT_TYPE_DECLARATION_CHILD_NODE

    public static final Name ON_DEMAND_IMPORT_TYPE_DECLARATION_CHILD_NODE

### ON_DEMAND_IMPORT_NAME

    public static final Name ON_DEMAND_IMPORT_NAME

### UNIT_TYPE_CHILD_NODE

    public static final Name UNIT_TYPE_CHILD_NODE

### CLASS_DECLARATION_CHILD_NODE

    public static final Name CLASS_DECLARATION_CHILD_NODE

### NORMAL_CLASS_CHILD_NODE

    public static final Name NORMAL_CLASS_CHILD_NODE

### NORMAL_CLASS_DECLARATION_CHILD_NODE

    public static final Name NORMAL_CLASS_DECLARATION_CHILD_NODE

### NORMAL_CLASS_NAME

    public static final Name NORMAL_CLASS_NAME

### MODIFIER_CHILD_NODE

    public static final Name MODIFIER_CHILD_NODE

### MODIFIER_DECLARATION_CHILD_NODE

    public static final Name MODIFIER_DECLARATION_CHILD_NODE

### MODIFIER_NAME

    public static final Name MODIFIER_NAME

### VARIABLE

    public static final Name VARIABLE

### VARIABLE_NAME

    public static final Name VARIABLE_NAME

### FIELD_CHILD_NODE

    public static final Name FIELD_CHILD_NODE

### FIELD_TYPE_CHILD_NODE

    public static final Name FIELD_TYPE_CHILD_NODE

### TYPE_CHILD_NODE

    public static final Name TYPE_CHILD_NODE

### PRIMITIVE_TYPE_CHILD_NODE

    public static final Name PRIMITIVE_TYPE_CHILD_NODE

### PRIMITIVE_TYPE_NAME

    public static final Name PRIMITIVE_TYPE_NAME

### PRIMITIVE_TYPE_VARIABLE

    public static final Name PRIMITIVE_TYPE_VARIABLE

### METHOD_CHILD_NODE

    public static final Name METHOD_CHILD_NODE

### METHOD_DECLARATION_CHILD_NODE

    public static final Name METHOD_DECLARATION_CHILD_NODE

### METHOD_NAME

    public static final Name METHOD_NAME

### CONSTRUCTOR_CHILD_NODE

    public static final Name CONSTRUCTOR_CHILD_NODE

### CONSTRUCTOR_DECLARATION_CHILD_NODE

    public static final Name CONSTRUCTOR_DECLARATION_CHILD_NODE

### CONSTRUCTOR_NAME

    public static final Name CONSTRUCTOR_NAME

### PARAMETER

    public static final Name PARAMETER

### FORMAL_PARAMETER

    public static final Name FORMAL_PARAMETER

### PARAMETER_NAME

    public static final Name PARAMETER_NAME

### RETURN_TYPE

    public static final Name RETURN_TYPE

### SIMPLE_TYPE_CHILD_NODE

    public static final Name SIMPLE_TYPE_CHILD_NODE

### SIMPLE_TYPE_DESCRIPTION

    public static final Name SIMPLE_TYPE_DESCRIPTION

### SIMPLE_TYPE_NAME

    public static final Name SIMPLE_TYPE_NAME

### SIMPLE_TYPE_VARIABLE

    public static final Name SIMPLE_TYPE_VARIABLE

### SIMPLE_TYPE_MODIFIER_CHILD_NODE

    public static final Name SIMPLE_TYPE_MODIFIER_CHILD_NODE

### PARAMETERIZED_TYPE_CHILD_NODE

    public static final Name PARAMETERIZED_TYPE_CHILD_NODE

### PARAMETERIZED_TYPE_DESCRIPTION

    public static final Name PARAMETERIZED_TYPE_DESCRIPTION

### PARAMETERIZED_TYPE_MODIFIER_CHILD_NODE

    public static final Name PARAMETERIZED_TYPE_MODIFIER_CHILD_NODE

### PARAMETERIZED_TYPE_NAME

    public static final Name PARAMETERIZED_TYPE_NAME

### PARAMETERIZED_TYPE_VARIABLE

    public static final Name PARAMETERIZED_TYPE_VARIABLE

### ARRAY_TYPE_CHILD_NODE

    public static final Name ARRAY_TYPE_CHILD_NODE

### ARRAY_TYPE_DESCRIPTION

    public static final Name ARRAY_TYPE_DESCRIPTION

### ARRAY_TYPE_MODIFIER_CHILD_NODE

    public static final Name ARRAY_TYPE_MODIFIER_CHILD_NODE

### ARRAY_TYPE_NAME

    public static final Name ARRAY_TYPE_NAME

### ARRAY_TYPE_VARIABLE

    public static final Name ARRAY_TYPE_VARIABLE

Constructor Detail

### JavaMetadataLexicon

    public JavaMetadataLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.